# $Revision: 1.109 $, $Date: 2010/07/08 14:02:17 $
#
# Conditional build:
%bcond_without opengl	# do not build OpenGL viewer
#
Summary:	Library for handling TIFF files
Summary(de.UTF-8):	Library zum Verwalten von TIFF-Dateien
Summary(fr.UTF-8):	Bibliothèque de gestion des fichiers TIFF
Summary(pl.UTF-8):	Biblioteka do manipulacji plikami w formacie TIFF
Summary(tr.UTF-8):	TIFF dosyalarını işleme kitaplığı
Name:		libtiff
Version:	3.9.4
Release:	2
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.gz
# Source0-md5:	2006c1bdd12644dbf02956955175afd6
Patch0:		%{name}-sec.patch
Patch1:		%{name}-glut.patch
Patch2:		%{name}-CVE-2009-2285.patch
URL:		http://www.remotesensing.org/libtiff/
%{?with_opengl:BuildRequires:  OpenGL-glut-devel}
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
BuildRequires:	jbigkit-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.2
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
This package is a library of functions that manipulate TIFF images.

%description -l de.UTF-8
Eine Library von Funktionen zur Manipulation von TIFFs.

%description -l fr.UTF-8
Bibliothèque de fonctions pour manipuler des images TIFF.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę pozwalającą manipulować plikami w
formacie TIFF.

%description -l tr.UTF-8
Bu paket TIFF resimlerini işleyen fonksiyonlardan oluşan bir
kitaplıktır.

%package devel
Summary:	Header files for developing programs using libtiff
Summary(de.UTF-8):	Header zur Entwicklung von Programmen unter Verwendung von libtiff
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki libtiff
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	jbigkit-devel
Requires:	libjpeg-devel
Requires:	zlib-devel

%description devel
This package is all you need to develop programs that manipulate tiff
images.

%description devel -l de.UTF-8
Dieses Paket enthält alles, was Sie zum Entwickeln von Programmen zum
Bearbeiten von tiff-Bildern benötigen.

%description devel -l fr.UTF-8
Ce package contient tout le nécessaire pour réaliser des programmes
manipulant des images au format tiff.

%description devel -l pl.UTF-8
Pakiet ten zawiera wszystko co potrzebujesz przy pisaniu programów
operujących na formacie tiff.

%description devel -l tr.UTF-8
tiff resimlerini işleyen programlar yazmak için gerekli dosyalar bu
pakette yer alır.

%package static
Summary:	Static version libtiff library
Summary(pl.UTF-8):	Biblioteka statyczna libtiff
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libtiff library.

%description static -l pl.UTF-8
Statyczna biblioteka libtiff.

%package cxx
Summary:	libtiff C++ streams library
Summary(pl.UTF-8):	Biblioteka strumieni C++ dla libtiff
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description cxx
libtiff C++ streams library.

%description cxx -l pl.UTF-8
Biblioteka strumieni C++ dla libtiff.

%package cxx-devel
Summary:	libtiff C++ streams API
Summary(pl.UTF-8):	API strumieni C++ dla libtiff
Group:		Development/Libraries
Requires:	%{name}-cxx = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libstdc++-devel

%description cxx-devel
libtiff C++ streams API.

%description cxx-devel -l pl.UTF-8
API strumieni C++ dla libtiff.

%package cxx-static
Summary:	libtiff C++ streams static library
Summary(pl.UTF-8):	Statyczna biblioteka strumieni C++ dla libtiff
Group:		Development/Libraries
Requires:	%{name}-cxx-devel = %{version}-%{release}

%description cxx-static
libtiff C++ streams static library.

%description cxx-static -l pl.UTF-8
Statyczna biblioteka strumieni C++ dla libtiff.

%package progs
Summary:	Simple clients for manipulating tiff images
Summary(de.UTF-8):	Einfachen Clients zur Manipulation von tiff
Summary(fr.UTF-8):	Clients simples pour manipuler de telles images
Summary(pl.UTF-8):	Kilka prostych programów do manipulowania na plikach tiff
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
Simple clients for manipulating tiff images.

%description progs -l de.UTF-8
Einfachen Clients zur Manipulation von tiff.

%description progs -l fr.UTF-8
Clients simples pour manipuler de telles images.

%description progs -l pl.UTF-8
Kilka prostych programów do manipulowania na plikach tiff.

%package progs-gl
Summary:	tiffgt - OpenGL-based tiff viewer
Summary(pl.UTF-8):	tiffgt - program do oglądania plików tiff oparty o OpenGL
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs-gl
tiffgt - OpenGL-based tiff viewer.

%description progs-gl -l pl.UTF-8
tiffgt - program do oglądania plików tiff oparty o OpenGL.

%prep
%setup -q -n tiff-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p1

%{__rm} m4/{libtool,lt*}.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_opengl:--without-x}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir},%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf html{,/*}/Makefile* $RPM_BUILD_ROOT%{_docdir}/tiff-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libtiff.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtiff.so.3

%files devel
%defattr(644,root,root,755)
%doc html/*
%attr(755,root,root) %{_libdir}/libtiff.so
%{_libdir}/libtiff.la
%{_includedir}/tiff*.h
%{_mandir}/man3/TIFF*.3tiff*
%{_mandir}/man3/libtiff.3tiff*

%files static
%defattr(644,root,root,755)
%{_libdir}/libtiff.a

%files cxx
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtiffxx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtiffxx.so.3

%files cxx-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtiffxx.so
%{_libdir}/libtiffxx.la
%{_includedir}/tiffio.hxx

%files cxx-static
%defattr(644,root,root,755)
%{_libdir}/libtiffxx.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%if %{with opengl}
%exclude %{_mandir}/man1/tiffgt.1*
%exclude %{_bindir}/tiffgt
%endif

%if %{with opengl}
%files progs-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tiffgt
%{_mandir}/man1/tiffgt.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtiff.spec,v $
Revision 1.109  2010/07/08 14:02:17  glen
- builds with libtool 2.2.10

Revision 1.108  2010/07/08 10:56:02  glen
- req 2.64

Revision 1.107  2010/06/25 13:11:28  megabajt
- added CVE references

Revision 1.106  2010/06/24 18:59:29  megabajt
- release 2

Revision 1.105  2010/06/22 23:32:52  draenog
- devel also should not require jbigkit-devel >= 2.0

Revision 1.104  2010/06/15 21:05:23  lisu
- up to 3.9.4 [fixes CVE-2010-2067]

Revision 1.103  2010/06/15 18:22:00  draenog
- 3.9.3 (fixes CVE-2010-1411, CVE-2010-2065, CVE-2010-2443)
- it is compatible with lower versions of jbigkit-devel

Revision 1.102  2010/03/20 16:25:34  qboosh
- build with jbigkit support

Revision 1.101  2010/01/28 11:18:36  amateja
- release 3

Revision 1.100  2010/01/10 23:01:01  hawk
- release 2

Revision 1.99  2009/11/05 08:55:14  lisu
- ver. 3.9.2

Revision 1.98  2009/09/18 20:09:09  qboosh
- merged from DEVEL; release 1

Revision 1.97.2.2  2009/08/31 19:56:43  qboosh
- updated sec patch (just fip/assert part left)

Revision 1.97.2.1  2009/08/30 20:56:03  qboosh
- started update to 3.9.1
- removed obsolete lzw-bugs,libtool,CVE-2006-2193 patches
- sec patch partially obsolete, needs update

Revision 1.97  2009/07/10 13:16:01  arekm
- rel 7; CVE-2009-2285 fix

Revision 1.96  2009/06/29 15:02:58  blues
- security blocker added

Revision 1.95  2008/09/05 17:17:12  draenog
- cleanup

Revision 1.94  2008/09/05 17:14:27  draenog
- xorg-lib-libXmu-devel is not used
- fix opengl bcond (tiffgt was built always when glut headers were present)
- rel. 6

Revision 1.93  2008/09/05 14:38:40  draenog
- patch for CVE-2006-2193

Revision 1.92  2008/09/05 14:03:29  draenog
- lzw-bugs.pach (CVE-2008-2327)
- libool.patch
- glut.patch
- missing BR for opengl bcond

Revision 1.91  2008/09/01 12:39:02  blues
- CVE TODO note

Revision 1.90  2007/06/14 18:24:42  arekm
- rel 5

Revision 1.89  2007/04/26 22:31:02  qboosh
- and one missing

Revision 1.88  2007/04/26 22:28:19  qboosh
- and one more for sec patch

Revision 1.87  2007/04/26 22:00:56  qboosh
- one more CVE reference

Revision 1.86  2007/03/07 00:06:54  qboosh
- typo

Revision 1.85  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.84  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.83  2006/11/25 13:29:13  arekm
- rel 4

Revision 1.82  2006/09/22 07:06:13  jajcus
- 'without opengl' bcond added

Revision 1.81  2006/08/06 20:05:16  adamg
- updated -sec.patch with fixes for CVE-2006-2656, CVE-2006-3459, CVE-2006-3460,
  CVE-2006-3461, CVE-2006-3462, CVE-2006-3463, CVE-2006-3464, CVE-2006-3465
- release 3;

Revision 1.80  2006/07/26 11:42:17  spider
- security fix
- STBR
- liffsplit patch yanked from debian

Revision 1.79  2006/05/30 16:53:35  glen
- more cve refs to 3.8.1 release
- truncate non-cvs changelog

Revision 1.78  2006/03/24 07:51:09  bszx
- updated to 3.8.2, fixed bug (tif_jpeg.c:1524: JPEGCleanup:
  Assertion 'sp != 0' failed.) introduced in 3.8.1

Revision 1.77  2006/03/17 21:19:50  qboosh
- BR s/glut-devel/OpenGL-glut-devel/ (to support freeglut)

Revision 1.76  2006/03/17 10:54:36  qboosh
- updated to 3.8.1 (fixes CVE-2006-0405, CVE-2006-2024, CVE-2006-2025,
  CVE-2006-2026 CVE-2006-2120)

Revision 1.75  2006/01/05 22:09:34  qboosh
- updated to 3.8.0

Revision 1.74  2005/10/06 12:23:31  qboosh
- updated to 3.7.4 (mainly bugfixes)

Revision 1.73  2005/07/07 12:15:51  charles
- updated to 3.7.3
- removed -crash.patch (implemented in 3.7.3)

Revision 1.72  2005/05/16 10:09:07  krolik
- added patch for buffer overflow in libtiff
- rel. 2
- STBR and works for me

Revision 1.71  2005/05/11 06:46:00  glen
- oops, resolved in >= 3.7.2

Revision 1.70  2005/05/11 06:44:52  glen
- TODO security

Revision 1.69  2005/03/16 10:47:44  charles
- updated to 3.7.2
- rm obsolete patches

Revision 1.68  2005/03/15 22:55:00  qboosh
- changelog cleanup

Revision 1.67  2005/03/15 11:41:13  havner
- glut-devel already R OpenGL-devel

Revision 1.66  2004/12/29 23:43:54  undefine
- real use patch, release 4 (/me stuppido!)

Revision 1.65  2004/12/29 18:19:39  undefine
- patch libtiff-alpha.patch for fix work with one alpha channel by Jan Kanty
  Palus <atler@o2.pl>
- release 3

Revision 1.64  2004/12/23 11:19:53  qboosh
- release 2

Revision 1.63  2004/12/23 11:09:13  qboosh
- cxx patch: move C++ streams API to sepearate library not to propagate
  unnecessary libstdc++ dependency
- -devel R: libjpeg-devel,zlib-devel

Revision 1.62  2004/12/22 07:50:29  qboosh
- updated URL (www.libtiff.org is a bit outdated now)

Revision 1.61  2004/12/21 15:24:17  adamg
- updated to 3.7.1

Revision 1.60  2004/10/24 12:05:48  paladine
- spelling fix

Revision 1.59  2004/10/17 14:00:23  qboosh
- updated to 3.7.0 (contains fixes for CAN-2004-0803 CAN-2004-0886)
- lzw-kit removed as LZW support is back in main package
- removed obsolete amd64 patch
- separated OpenGL-based tiffgt viewer to -progs-gl

Revision 1.58  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.57  2004/01/08 14:09:18  jajcus
- AMD64 support (-amd64.patch)

Revision 1.56  2003/12/29 12:49:40  qboosh
- updated lzw kit to 1.5, fixed bcond usage

Revision 1.55  2003/12/29 00:01:48  adamg
- updated to 3.6.1
- new style bcond

Revision 1.54  2003/12/20 10:48:38  jajcus
- automake minimal version requirement removed. It is enforced by Conflict in rpm-build on AMD64

Revision 1.53  2003/12/19 19:03:18  jajcus
- amd64 build fixes: libdir64 support, copy config.sub from automake

Revision 1.52  2003/10/07 17:10:00  adamg
- updated to 3.6.0

Revision 1.51  2003/08/28 08:20:32  ankry
- cosmetics

Revision 1.50  2003/08/25 22:40:04  mmazur
- rel 0.beta2.2 for ac

Revision 1.49  2003/07/18 19:12:09  qboosh
- up to 3.6.0beta2 with lzw kit 1.4

Revision 1.48  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.47  2003/05/25 05:50:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/01/19 01:42:23  qboosh
- 3.6.0-beta, removed obsolete shlib,arm,config,libmess patches

Revision 1.45  2002/11/27 21:10:41  juandon
- new %doc

Revision 1.44  2002/03/06 23:06:52  qboosh
- updated lzw-compression-kit to 1.3, fixed typo; release 2

Revision 1.43  2002/03/05 18:17:03  filon
- updated to 3.5.7 full release
- use more macros
- fixed make flags

Revision 1.42  2002/03/02 09:00:22  misiek
- update config.* scripts (for ppc)

Revision 1.41  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.40  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.39  2002/02/02 20:26:18  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.38  2002/02/01 14:52:55  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.37  2002/01/18 02:13:42  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.35  2001/06/16 12:40:50  kloczek
- adapterized and few cosmetics.

Revision 1.34  2001/06/14 20:05:28  qboosh
- updated to v3.5.6-beta, updated URLs
- added LZW compression (conditional - patents in some countries)
- enabled JPEG and ZIP compression
- removed obsolete glibc patch, added patch to fix lib mess
- use non-interactive configure
- moved base docs (license etc.) to base package

Revision 1.33  2001/05/02 16:29:08  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.32  2000/06/09 07:23:24  kloczek
- added using %{__make} macro.

Revision 1.31  2000/06/07 03:33:09  kloczek
- spec adapterized.

Revision 1.30  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.29  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.28  2000/01/21 00:36:54  kloczek
- typo.

Revision 1.27  2000/01/21 00:29:16  kloczek
- added stripping binaries.

Revision 1.26  2000/01/20 23:23:59  kloczek
- release 2 (in rawhide is 1),
- cosmetics.

Revision 1.25  2000/01/20 23:00:28  pius
- small fixes in config

Revision 1.24  2000/01/20 22:38:28  pius
- added fake dir to config options

Revision 1.23  2000/01/20 22:32:45  pius
- updated to 3.5.4

Revision 1.22  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
